<?php
declare(strict_types=1);

namespace TiaraTest\Mail\Sendinblue;

use GuzzleHttp\Client;
use Laminas\Mail\Message;
use PHPUnit\Framework\TestCase;

use SendinBlue\Client\Api\TransactionalEmailsApi;
use SendinBlue\Client\Configuration;
use Tiara\Mail\Transport\SendinblueApi;

/**
 * Class TransportTest
 *
 * @package TiaraTest\Mail\Sendinblue
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-mail
 */
final class TransportTest extends TestCase
{
    public function testCanSendEmail()
    {
        $config = Configuration::getDefaultConfiguration()->setApiKey(
            'api-key',
            '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'
        );
        $apiInstance = new TransactionalEmailsApi(new Client(), $config);
        $transport = new SendinblueApi($apiInstance);

        $message = new Message();
        $message->setTo('hipnaba@gmail.com');
        $message->setFrom('webshop@autokreso.hr', 'Pošiljatelj đšžćč');
        $message->setSubject('Test email đšžćč ĐŠŽĆČ');
        $message->setBody('testna poruka');

        $transport->send($message);
        $this->addToAssertionCount(1);
    }
}
